Bug 124535 - CAN-2004-0504/5/6/7 Ethereal 0.10.4 contains security fixes
CAN-2004-0504/5/6/7 Ethereal 0.10.4 contains security fixes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ethereal (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
http://www.ethereal.com/appnotes/enpa...
: Security
: 124536 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 06:45 EDT by Mark J. Cox (Product Security)
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-15 10:50:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-05-27 06:45:07 EDT
Issues have been discovered in the following protocol dissectors:

    * A SIP packet could make Ethereal crash under specific
conditions, as described in the following message:
      http://www.ethereal.com/lists/ethereal-users/200405/msg00018.html
      (0.10.3).
    * The AIM dissector could throw an assertion, causing Ethereal to
terminate abnormally (0.10.3).
    * It was possible for the SPNEGO dissector to dereference a null
pointer, causing a crash (0.9.8 to 0.10.3).
    * The MMSE dissector was susceptible to a buffer overflow. (0.10.1
to 0.10.3). 

Note date on ethereal advisory states "March 22nd" but this is
incorrect, it should be "May 13th" (mailed Gerald with correction). 
CVE names applied for.
Comment 1 Mark J. Cox (Product Security) 2004-06-02 04:18:13 EDT
CAN-2004-0504/5/6/7
Comment 2 Mark J. Cox (Product Security) 2004-06-02 05:07:52 EDT
*** Bug 124536 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.